GGATEC(8)

NAME
ggatec - GEOM Gate network client and control utility

SYNOPSIS
ggatec create [-n] [-v] [-o ro | wo | rw] [-o direct] [-p port] [-q queue_size] [-R rcvbuf] [-S sndbuf] [-s sectorsize] [-t timeout] [-u unit] host path
ggatec rescue [-n] [-v] [-o ro | wo | rw] [-o direct] [-p port] [-R rcvbuf] [-S sndbuf] -u unit host path
ggatec destroy [-f] -u unit
ggatec list [-v] [-u unit]

DESCRIPTION
The ggatec utility is a network client for the GEOM Gate class. It is responsible for the creation of ggate devices and forwarding I/O requests between the GEOM Gate kernel subsystem and the ggated(8) network daemon. Available commands:

create
    Connect to a ggated(8) daemon on the specified host and create a ggate provider for the specified remote file or device.

rescue
    Create a new connection after the ggatec process has died or been killed. The new connection to the ggated(8) daemon handles pending and future requests.

destroy
    Destroy the given ggate provider.

list
    List ggate providers.

Available options:

-f  Forcibly destroy ggate provider (cancels all pending requests).

-n  Do not use TCP_NODELAY option on TCP sockets.

-o option
    Specify permissions and options to use when opening the file or device.

    ro  read-only

    wo  write-only

    rw  read-write

    direct
        open with O_DIRECT option on the file

    Default is rw.

-p port
    Port to connect to on the remote host. Default is 3080.

-q queue_size
    Number of pending I/O requests that can be queued before they will start to be canceled. Default is 1024.

-R rcvbuf
    Size of receive buffer to use. Default is 131072 (128 KiB).

-S sndbuf
    Size of send buffer to use. Default is 131072 (128 KiB).

-s sectorsize
    Sector size for ggate provider. If not specified, it is taken from the device, or set to 512 bytes for files.

-t timeout
    Number of seconds to wait before an I/O request will be canceled. Default is 0, which means no timeout.

-u unit
    Unit number to use.

-v  Do not fork, run in foreground and print debug information on standard output.

host
    Remote host to connect to.

path
    Path to a regular file or device.

EXIT STATUS
Exit status is 0 on success, or 1 if the command fails. To get details about the failure, ggatec should be called with the -v option.

EXAMPLES
Use a CD-ROM device on a remote host.

    server# cat /etc/gg.exports
    client RO /dev/cd0
    client RW /tmp/image
    server# ggated
    client# ggatec create -o ro server /dev/cd0
    ggate0
    client# mount_cd9660 /dev/ggate0 /cdrom
    client# ggatec create -o rw -o direct server /tmp/image
    ggate1

SEE ALSO
geom(4), ggated(8), ggatel(8), mount_cd9660(8)

HISTORY
The ggatec utility appeared in FreeBSD 5.3.

AUTHORS
The ggatec utility as well as this manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.